class_plot <- function(class, x1, x2)
{
   class <- factor(class);
   color <- rep("red", length(class));
   color[class==levels(class)[2]]="blue";
   pch <- rep("x", length(class));
   pch[class==levels(class)[2]]="o";
   plot(x1,x2, pch=pch,col=color);
}

svm_accuracy <- function(model, dat)
{
  result <- predict(model,dat)
  1-sum(result != dat$y)/length(dat$y)
}
